IT: OTS (China) - 1100 #291

New design for print style (some need to be highlighted)

07/19/2023 11:10 AM - Xihua Fan

Status: oo0 Start date: 08/18/2023
Priority: I Due date: 08/18/2023
Assignee: Zhongbao Ye % Done: 100%
Category: Estimated time: 8.00 hours
Target version: v3.0 Spent time: 16.00 hours
Description

Task Details

1.00000000000000000000D0000000000D000000a0Da0D

2. 0000000000001ayout design
3.00000000000

Input

e Tom & Jennifer
Output

¢ Report and Solution

Others

History

#1 - 07/19/2023 11:12 AM - Xihua Fan

- Copied to 1 Bug #292: Toggle checkbox should only on checkbox zone not whole line added

#2 - 07/24/2023 04:31 PM - Xihua Fan

- File0 00000 .docx added

- File0D_0000 .pdf added

- File00_0000 STO.pdf added

- Due date changed from 07/21/2023 to 07/28/2023
- Start date changed from 07/20/2023 to 07/24/2023

FYI: D0Jennifer10000

#3 - 08/17/2023 05:52 PM - Zhongbao Ye
- Due date changed from 07/28/2023 to 08/18/2023
- Start date changed from 07/24/2023 to 08/18/2023

#4 - 08/18/2023 08:15 PM - Zhongbao Ye
- % Done changed from 0 to 90
Output(2023/08/18 00)

1. New design for print style [ 90%![
« 000000000000DO00O0DD/A00no

#5 - 08/21/2023 07:57 PM - Zhongbao Ye
- Status changed from 100 to0010
- % Done changed from 90 to 100

12/20/2025
Output(2023/08/21 01 )
Changes:

1. If delivery to customer, Order Nmae becomes white on black. No change is required for delivery to STO.

2. The retailer name and ship time are in a separate column.

3. Expanded font size for barcode value.

4. When a sub-order is selected, the corresponding CTN column becomes white on a black background, and the quantity and product name are
bolded.

5. If the Lead time of the order is Express/Epress+, then the Lead time section becomes white on black.

6. The lower right corner of the mark shows the current order serial number/total orders.

7. Add additional css processing for the height of the last page for print integrity.

e Solution: According to the pdf design, modify the font size, page layout
protected/views/order/print.php
protected/actions/order/PrintShippingMarksAction.php

#6 - 08/22/2023 01:46 PM - Zhongbao Ye
- File OTSI000004002023-08-22.docx added

#7 - 08/28/2023 10:41 AM - Xihua Fan
- Status changed from 000 to0010
- % Done changed from 100 to 90

To Bruce

Solution: According to the pdf design, modify the font size, page layout

000000oDoDoooonoDoDoDnoD

000000o0o0oooonoong
0000obononoo

To Van:
0000ess0000000000000000000000000000000background:#000000 limportant;color: #FFFFFF limportant;

#8 - 08/28/2023 11:57 AM - Xihua Fan
- Copied to deleted (10 Bug #292: Toggle checkbox should only on checkbox zone not whole line)

#9 - 08/28/2023 07:22 PM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 90 to 100

#10 - 08/28/2023 07:35 PM - Zhongbao Ye
- File mix.png added
- File separate.png added

#11 - 10/17/2023 03:14 PM - Zhongbao Ye
Output(2023/10/17) 00

1. Avoid printing pagination whenever possible.
1. Remove the fixed width of the following fields: Qty, Product, Model, Size, Color, Material
2. Reduce the font size of extra info: 35px => 25px, reduce the font size of ctn-order: 40px => 30px
3. If the height of the print area is > height of the container (.print-display), hide [Extra Info + Product Sort Order(e.g. 1/4)].

e Note: Order: RBSE50607 is not reproduced. Order: RBSE50819 is reproduced.
e protected/views/order/print.php

#12 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0

#13 - 11/13/2024 03:14 PM - Zhongbao Ye
- Description updated
#14 - 11/13/2024 03:15 PM - Zhongbao Ye

Output(2024/11/13) 010
1. Fixed mark print button
1. When opening the mark printing page multiple times, the print button on the page disappears.
Solution: Remove the button positioning logic in the third-party plug-in and directly use the inline style to fix the button.

e protected/views/order/print.php

Files

000000 .docx 754 KB 07/24/2023 Xihua Fan
00_0000.pdf 231 KB 07/24/2023 Xihua Fan
00_0000sTO.pdf 225 KB 07/24/2023 Xihua Fan
oTs000000-0002023-08-22.docx 833 KB 08/22/2023 Zhongbao Ye
mix.png 119 KB 08/28/2023 Zhongbao Ye
separate.png 202 KB 08/28/2023 Zhongbao Ye
